GCLOUD_DEBUG_SNAPSHOTS_LIST(1)

NAME

gcloud debug snapshots list - list debug snapshots

SYNOPSIS

gcloud debug snapshots list [ID ...] [--all-users] [--include-inactive=INCLUDE_INACTIVE; default="300"] [--location=LOCATION-REGEXP] [--target=(ID|DESCRIPTION_REGEXP)] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [GLOBAL-FLAG ...]

DESCRIPTION
This command displays a list of the active debug snapshots for a Cloud Debugger debug target.

POSITIONAL ARGUMENTS

    [ID ...]
        Zero or more snapshot resource identifiers. The specified snapshots will be displayed.

FLAGS

    --all-users
        If set, display snapshots from all users, rather than only the current user.

    --include-inactive=INCLUDE_INACTIVE; default="300"
        Include snapshots which have completed in the last INCLUDE_INACTIVE seconds. If the value is "unlimited", all inactive snapshots will be included.

    --location=LOCATION-REGEXP
        A regular expression to match against snapshot locations. All snapshots matching this value will be displayed. You may specify --location multiple times. EXAMPLE:
        gcloud debug snapshots list \
            --location foo.py:[1-3] --location bar.py:4

    --target=(ID|DESCRIPTION_REGEXP)
        The debug target. It may be a target ID or name obtained from 'debug targets list', or it may be a regular expression uniquely specifying a debuggee based on its description or name. For App Engine projects, if not specified, the default target is the most recent deployment of the default module and version.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.